Server data model
The Server shape in the Visual Sentinel REST API.
Fields
| Field | Type | Required | Description |
|---|---|---|---|
id | string (uuid) | No | |
name | string | No | |
hostname | string | No | |
ipAddress | string | No | |
os | string | No | |
status | string | No | One of: ONLINE, OFFLINE, UNKNOWN. |
lastSeenAt | string (date-time) | No | |
cpuUsage | number | No | |
memoryUsage | number | No | |
diskUsage | number | No | |
tags | array of string | No | |
createdAt | string (date-time) | No |
Used by
- Create server:
POST /api/servers - Get server details:
GET /api/servers/{id} - ServerListResponse data model
Generated from the OpenAPI 3.1 specification at https://docs.visualsentinel.com/openapi.json.